var a;
(a = getApp()),
  Page({
    data: { serviceSumCount: 0, serviceSumMoney: 0 },
    onLoad: function (a) {
      this.getDetail(a.vin), this.setData({ vin: a.vin });
    },
    getDetail: function (t) {
      var e = this,
        n = { openid: wx.getStorageSync("userid"), frameno: t };
      a.getdata(n, "cxjlid").then((a) => {
        if ((console.log("回调数据：", a), a)) {
          e.setData({ cardata: a.data });
          var t = JSON.parse(a.data.record);
          console.log(t),
            e.setData({
              records: t.result.data.details.records,
              serviceSumCount: t.result.data.details.serviceSumCount,
              serviceSumMoney: t.result.data.details.serviceSumMoney,
            });
        }
      });
    },
    onReady: function () {},
    onShow: function () {},
    onHide: function () {},
    onUnload: function () {},
    onPullDownRefresh: function () {},
    onReachBottom: function () {},
    onShareAppMessage: function () {
      return {
        title: this.data.cardata.cars + "出险查询报告",
        path: "/pages/carcxjl/carcxjl?vin=" + this.data.cardata.vin,
      };
    },
    onShareTimeline: function () {
      return {
        title: this.data.cardata.cars + "出险查询报告",
        path: "/pages/carcxjl/carcxjl?vin=" + this.data.cardata.vin,
      };
    },
  });
